# rsyslog configuration managed by Ansible, do not change by hand
#
# forwarding configuration

{% set prefix = "" %}
{% if target.name == 'example.org' %}
{% set prefix = "# " %}
{% endif %}

{% if target.active %}
{% if 'port' in target %} {% set port = target.port %} {% else %} {% set port = rsyslog_forward_port %}{% endif %}
{% if 'protocol' in target %} {% set protocol = target.protocol %} {% else %} {% set protocol = rsyslog_forward_protocol %}{% endif %}
{% if 'caching' in target %} {% set caching = target.caching %} {% else %} {% set caching = rsyslog_forward_caching %}{% endif %}
{% if 'caching_todisk' in target %} {% set caching_todisk = target.caching_todisk %} {% else %} {% set caching_todisk = rsyslog_forward_caching_todisk %}{% endif %}
{% if 'caching_retrycount' in target %} {% set caching_retrycount = target.caching_retrycount %} {% else %} {% set caching_retrycount = rsyslog_forward_caching_retrycount %}{% endif %}
{% if 'caching_queuetype' in target %} {% set caching_queuetype = target.caching_queuetype %} {% else %} {% set caching_queuetype = rsyslog_forward_caching_queuetype %}{% endif %}
{% if 'caching_queuesize' in target %} {% set caching_queuesize = target.caching_queuesize %} {% else %} {% set caching_queuesize = rsyslog_forward_caching_queuesize %}{% endif %}
{% if 'caching_disksize' in target %} {% set caching_disksize = target.caching_disksize %} {% else %} {% set caching_disksize = rsyslog_forward_caching_disksize %}{% endif %}

{% if caching %}
$ModLoad imuxsock             # local message reception
{% endif %}

{{ prefix }}*.*  action(type="omfwd" target="{{ target.name }}" port="{{ port }}" protocol="{{ protocol }}"
{% if caching %}
{{ prefix }}            action.resumeRetryCount="{{ caching_retrycount }}"
{{ prefix }}            queue.type="{{ caching_queuetype }}"
{{ prefix }}            queue.size="{{ caching_queuesize }}"
{% if caching_todisk %}
{{ prefix }}            queue.spoolDirectory="/var/spool/rsyslog"
{{ prefix }}            queue.filename="{{ target.name }}"
{{ prefix }}            queue.maxFileSize="{{ caching_disksize }}"
{{ prefix }}            queue.saveOnShutdown="on"
{% endif %}
{% endif %}
{{ prefix }}     )
{% endif %} 